Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.samples.basic
Class ModePortlet

    java.lang.Object
      org.jboss.portlet.JBossPortlet
          org.jboss.portal.core.samples.basic.ModePortlet

All Implemented Interfaces:
  javax.portlet.Portlet

    public class ModePortlet

extends JBossPortlet

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Constructor Summary
`ModePortlet()`

Method Summary
`protected void` | `doAdmin(JBossRenderRequest request, JBossRenderResponse response)` Throw a `PortletException`.
`protected void` | `doView(JBossRenderRequest request, JBossRenderResponse response)` Throw a `PortletException`.

Methods inherited from class org.jboss.portlet.JBossPortlet
`destroy, doDispatch, doEdit, doHelp, getDefaultOperation, getInitParameter, getInitParameterNames, getOperationName, getPortletConfig, getPortletContext, getPortletName, getResourceBundle, getTitle, init, init, processAction, processAction, processAdmin, processDispatch, processEdit, processHelp, processView, render, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModePortlet

    public ModePortlet()

Method Detail

### doView

    protected void doView(JBossRenderRequest request,
                          JBossRenderResponse response)
                   throws javax.portlet.PortletException,
                          javax.portlet.PortletSecurityException,
                          java.io.IOException

  Description copied from class: `JBossPortlet`
  Throw a `PortletException`.

  Overrides:
    `doView` in class `JBossPortlet`
  Throws:
    `javax.portlet.PortletException`
    `javax.portlet.PortletSecurityException`
    `java.io.IOException`

### doAdmin

    protected void doAdmin(JBossRenderRequest request,
                           JBossRenderResponse response)
                    throws javax.portlet.PortletException,
                           javax.portlet.PortletSecurityException,
                           java.io.IOException

  Description copied from class: `JBossPortlet`
  Throw a `PortletException`.

  Overrides:
    `doAdmin` in class `JBossPortlet`
  Throws:
    `javax.portlet.PortletException`
    `javax.portlet.PortletSecurityException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD